Subject: Re: [PATCH v3 1/5] doc: git-diff: apply new documentation guidelines

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Nov 2024 09:27:01 +0900

Johannes Sixt <[email-masked]> writes:

> -1::
> --base::
> -2::
> --ours::
> -3::
> --theirs::
> ...
> Next, since with such a scheme all options are treated equally, we have
> to ask whether the description in the body text makes sufficiently clear
> that they not all do the same thing (it does), that there are actually 3
> distinct groups (it does), and which options mean the same thing. The
> latter is rather meh, but it is the fault of the text and can be
> remedied easily.

OK, with that, making the 6 as the heading at the same level becomes
feasible and the most simple.

> Finally, with all this considered, I think it is not so bad at all that
> all options are lumped together in a single line (or remain on six
> separate header lines, depending on the processor).

Yup.  Sounds good.